<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
  <modelVersion>4.0.0</modelVersion>
  <parent>
    <groupId>ru.entaxy.platform</groupId>
    <artifactId>platform-backward-compat</artifactId>
    <version>1.10.1</version>
  </parent>
  <groupId>ru.entaxy.platform.backward-compat</groupId>
  <artifactId>blueprint-generator-service</artifactId>
  <packaging>bundle</packaging>
  <name>ENTAXY :: PLATFORM :: BACKWARD COMPATIBILITY :: BLUEPRINT GENERATOR SERVICE</name>
  <description>ENTAXY :: PLATFORM :: BACKWARD COMPATIBILITY :: BLUEPRINT GENERATOR SERVICE</description>
  
  <properties>
  	<bundle.osgi.export.pkg>ru.entaxy.platform.core.blueprint.generator</bundle.osgi.export.pkg>
  </properties>
  
 	<dependencies>
		<dependency>
			<groupId>org.apache.karaf</groupId>
			<artifactId>org.apache.karaf.util</artifactId>
		</dependency>
		<!-- dependency>
			<groupId>ru.entaxy.esb.platform.runtime.base</groupId>
			<artifactId>base-support</artifactId>
			<version>${project.version}</version>
		</dependency>
        <dependency>
            <groupId>com.google.code.gson</groupId>
            <artifactId>gson</artifactId>
        </dependency-->
	  	<dependency>
	  		<groupId>org.osgi</groupId>
	  		<artifactId>org.osgi.service.component.annotations</artifactId>
	  		<version>1.4.0</version>
	  		<scope>compile</scope>
	  	</dependency>
	  	<!-- dependency>
	  		<groupId>ru.entaxy.esb.system.core</groupId>
	  		<artifactId>template</artifactId>
	  		<version>${project.version}</version>
	  	</dependency-->
	  	<dependency>
	  		<groupId>
	  			ru.entaxy.esb.platform.runtime.base.connecting.generator
	  		</groupId>
	  		<artifactId>generator-api</artifactId>
	  		<version>${project.version}</version>
	  	</dependency>
	  	<dependency>
	  		<groupId>
	  			ru.entaxy.esb.platform.runtime.base.connecting.generator
	  		</groupId>
	  		<artifactId>generator-factory</artifactId>
	  		<version>${project.version}</version>
	  	</dependency>
 	</dependencies>
  
	  <build>
	  	<plugins>
		    <plugin>
		        <groupId>org.apache.felix</groupId>
		        <artifactId>maven-bundle-plugin</artifactId>
		        <version>${maven-bundle-plugin.version}</version>
		        <extensions>true</extensions>
		        <configuration>
		            <instructions>
		            	<Entaxy-Template-Provider>true</Entaxy-Template-Provider>
		            	<_dsannotations>*</_dsannotations>
		            </instructions>
		        </configuration>
		    </plugin>
	  	</plugins>
	  </build>
  
</project>
